Bug 1569997 - Invisible mouse cursor
Summary: Invisible mouse cursor
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 27
Hardware: Unspecified
OS: All
unspecified
unspecified
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-20 12:27 UTC by Armin Diehl
Modified: 2018-10-09 14:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-09 14:37:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Armin Diehl 2018-04-20 12:27:25 UTC
Starting the virtual machine manager, opened a virtual machine (not relevant but in  my case a Fedora workstation), started the machine and clicking on the screen button then  moving the mouse pointer onto the virtual machine window. This will bring up a dialog (on top of the virtual machine window)
"virtual machine manager wants to inhibit shortcuts".
After clicking "allow", the mousecursor within virtual machine is no longer visible.

Same if a virtual machine is opened, the actual focus is on client display and the virtual machine will be started by clicking the start icon.

To re-enable the mouse cursor, i have to find one of the top buttons or menu in "blind-mode". Once a button or a menu entry was clicked, the mouse cursor is enabled again.

Outsite of virt-manager, mouse is visible all the time.

Btw, running gnome

Comment 1 Jan Vlug 2018-06-23 07:27:01 UTC
Confirming on Gnome on scaled Wayland HiDPI session.

Comment 2 Jan Vlug 2018-06-23 08:40:49 UTC
This might be related to fractional scaling under Gnome3 on Wayland. I tested again after a reboot, and disabling fractional scaling, and now the mouse pointer is visible.

Comment 3 Cole Robinson 2018-06-26 14:32:04 UTC
Are you running fully updated f27 kernel in the VM? Sounds like this, which should be fixed: https://bugzilla.redhat.com/show_bug.cgi?id=1507931


Note You need to log in before you can comment on or make changes to this bug.